:root {
    --main-padding-x: 1.25rem;
    --main-padding-y: 1.25rem;
}

.mx-n0 {
    margin-left: calc(var(--main-padding-x) * -1);
    margin-right: calc(var(--main-padding-x) * -1);
}

::-webkit-scrollbar {
    width: 12px;
    height: 10px;
}
::-webkit-scrollbar-track {
    background-color: #fff;
}
::-webkit-scrollbar-thumb {
    background-color: #888;
    border: 2px solid #fff;
    border-radius: 8px;
}
::-webkit-scrollbar-thumb:hover {
    background-color: #555;
}
::selection {
    background: #8bf;
}
div::-webkit-scrollbar-track {
    background-color: #f8f8f8;
}
div::-webkit-scrollbar-thumb {
    background-color: #aaa;
}
div::-webkit-scrollbar-thumb:hover {
    background-color: #777;
}

body {
    font-size: 17px;
    letter-spacing: 0.02em;
    -webkit-font-smoothing: antialiased;
    background: rgb(234,244,254);
    width: 100%;
    height: 100%;
}
body.is-modal {
    background: #fff !important;
}
body.app {
    -khtml-user-select: none; 
    -moz-user-select: none; 
    -webkit-user-select: none; 
    user-select: none; 
    -webkit-touch-callout: none;
}

body,
select,
input,
textarea,
label.control-label {
    color: #000 !important;
}

.model {
    display: none;
}

h3 img {
    margin: -2px 8px 8px 0;
}

button:focus,
a:focus,
input[type='button']:focus {
    outline: 1px dashed #999ca3 !important;
}

.upper, 
select.upper option {
    text-transform: uppercase;
}
.lower {
    text-transform: lowercase;
}
.star-required {
    color: #e34; 
    font-size: 18px;
}

input::-ms-clear {
    display: none;
    height: 0;
    width: 0;
}

@media (min-width: 768px) {
    .bar-title .title.col-md-offset-2 {
        padding-left: 9px;
    }
}

@media (max-width: 768px) {
    .btnCloseModal {
        top: 30px !important;
        right: 10px !important;
        /*right: auto !important;*/
    }
    
    body:not(.is-modal) .sidebar-padding {
        padding-left: 0 !important;
    }
    body:not(.is-modal) .container {
        padding: 0 !important;
        margin-bottom: 0 !important;
    }
    body:not(.is-modal) .container > .panel {
        margin-bottom: 0;
        border-radius: 0 !important;
    }
    
    .modal .modal-dialog {
        margin-bottom: 0;
    }
    .modal .modal-content {
        border-radius: 0;
    }
    
    .modal-menu h3 {
        margin-top: 45px;
    }
    body:not(.is-modal) .modal-menu {
        z-index: 999999 !important;
    }
    body:not(.is-modal) .modal-menu .modal-content {
        margin-left: 0 !important;
    }
    /*body.is-modal .bar-title {
        margin-top: 30px;
    }*/
    .bar-title .title {
        max-width: 100% !important;
    }
    
    ::-webkit-scrollbar {
        width: 0;
        height: 3px;
    }
    
    #loading > .block {
        margin: 40px auto !important;
    }
    #loading > .block-secondary {
        display: none;
    }
    
    .bar-buttons {
        width: 100%;
        overflow-x: auto;
        white-space: nowrap;
        margin: 0 !important;
    }
}

.logo {
    height: 57px;
    float: left;
}

body:not(.is-modal) .container {
    padding: 3px;
    max-width: 1600px;
    margin: 0 auto;
}
body:not(.is-modal):not(.no-sidebar) .sidebar-padding {
    padding-left: 78px;
}
body .container > .panel {
    border-radius: 8px;
    box-shadow: none;
    background: #fff;
    margin-bottom: 10px;
    padding: var(--main-padding-y) var(--main-padding-x);
}
body.is-modal .container > .panel {
    /*border-radius: 0;*/
    margin-bottom: 0;
    box-shadow: none;
}
body.is-modal .container > .panel {
    padding-top: 0;
}
.btnCloseModal {
    position: absolute;
    top: 10px;
    padding: 6px 15px !important;
    z-index: 999;
}
.btnCloseModal i {
    font-size: 22px !important;
}
.modal-dialog .btnCloseModal {
    right: 12px;
}
.modal-iframe {
   /* will-change: scroll-position;*/
}
.modal-iframe > .btnCloseModal {
    position: fixed; 
    display: none;
}
.modal-iframe iframe {
    min-height: 96vh;
}
.modal-iframe .modal-body {
    padding: 0;
}

.sidebar {
    width: 77px;
    height: 100%;
    position: fixed;
    padding: 8px 0;
    text-align: center;
    border-right: 1px solid #cacdcd !important;
    z-index: 1051;
}
.sidebar-container {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    overflow-y: auto;
    overflow-x: hidden;
}
.sidebar-container::-webkit-scrollbar {
    width: 2px;
}
.sidebar-container::-webkit-scrollbar-thumb {
    border: 0;
    background: #ddd;
    border-radius: 5px;
}
.sidebar, 
.sidebar .btn {
    border: 0;
    background: #dee1e1;
    transition: all 0.15s ease-in;
    
}
.sidebar:hover  {
    border-right: 1px solid #c2c5c5 !important;
}
.sidebar:hover, 
.sidebar:hover .btn  {
    background: #d2d5d5 !important;
}
.sidebar .btn {
    padding: 8px 11px;
    margin: .34em 0;
    margin-bottom: 1.3px;
    font-size: 20px;
    border-radius: 15px;
    color: #000 !important;
}
.sidebar .btn.active {
    background: #b0b5b8 !important;
    color: #222 !important;
    transform: scale(1.2);
    box-shadow: none !important;
}
.sidebar .btn.actived {
    transition: none;
    background: #eef1f1 !important;
    border: 1px solid #ced1d1;
    color: #000 !important;
    transform: scale(1.2);
    box-shadow: none !important;
}
.sidebar .btn:hover,
.sidebar .btn:active,
.sidebar .btn:focus {
    background: #05f !important;
    color: #fff !important;
    transform: scale(1.2);
    box-shadow: none !important;
}
.sidebar hr {
    margin: 8px 32px;
    border-top: 3px solid rgba(50, 50, 50, 0.15);
}
.sidebar .btn-lg .circle-marker {
    border-radius: 50%;
    background: #e34;
    width: 12px; 
    height: 12px;
    float: left;
    margin: -8px -14px;
}
.sidebar .btn:hover .fa-bell {
    -webkit-animation: badalo 0.8s ease-in-out 1;
    animation: badalo 0.8s ease-in-out 1;
}
.sidebar .btn:hover .fa-cog {
    -webkit-animation: fa-spin .6s 1 ease-in-out;
    animation: fa-spin .5s 1 ease-in-out;
}

@keyframes badalo {
    0% {
        transform: rotate(0deg);
    }
    7.5% {
        transform: rotate(25deg);
    }
    30% {
        transform: rotate(-25deg);
    }
    45% {
        transform: rotate(15deg);
    }
    58% {
        transform: rotate(-10deg);
    }
    70% {
        transform: rotate(5deg);
    }
    87.5% {
        transform: rotate(-2deg);
    }
    100% {
        transform: rotate(0deg);
    }
}

.sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 10;
}

.bar-title {
    margin: 15px -20px;
    padding: 10px 20px;
    /*overflow-x: auto;
    white-space: nowrap;*/
    /*background: rgba(245, 246, 247, .9);*/
    margin-top: 0;
    
    background: #f2f2f2;
    margin-top: 0;
    /*border-bottom: 1px solid #e8e9f5;
    border-top: 1px solid #e8e9f5;*/
}
.bar-title a,
.bar-title button {
    margin-right: 2px;
}
.bar-buttons > a:not(.btn) {
    font-size: 15px;
    margin-left: 10px;
}
.bar-title .title {
    display: inline-block;
    font-weight: bold;
    font-size: 28px;
    vertical-align: middle;
    max-width: 41.66%;
}
.bar-title .subtitle {
    font-size: 14px;
    font-weight: normal;
}
.bar-buttons {
    display: inline-block;
    margin-left: 12px;
}
.bar-buttons:empty {
    display: none;
}
.bar-buttons .btn-primary-solid:first-child,
.bar-buttons .btn-danger-solid:first-child {
    margin-right: 5px;
    padding: 16px 25px;
    font-size: 14px;
    letter-spacing: 0.08em;
    font-weight: bold;
    text-transform: uppercase;
    color: #fff !important;
}
.bar-buttons .btn-primary-solid:first-child {
    background: #05f;
}
.bar-buttons .btn-primary-solid:first-child:hover {
    background: #16f;
}

.cs-default {
    cursor: default !important;
}
.cs-pointer {
    cursor: pointer;
}
.cs-help {
    cursor: help;
}
.cs-wait {
    cursor: wait;
}

/*.input-group-addon {
    background: #f2f4f7;
    color: inherit;
    padding: 6px 8px;
}*/
.input-group-addon input[type="radio"],
.input-group-addon input[type="checkbox"] {
    vertical-align: middle;
    margin-top: -2px;
    margin-right: 1px;
}

/*.btn {
    overflow-wrap: break-word;
    word-wrap: break-word;
    letter-spacing: 0.015em;
    transition: background 0.14s ease-in;
}*/
.btn-xs {
    font-size: 13px;
}
.btn-rounded {
    -webkit-border-radius: 38px;
    -moz-border-radius: 38px;
    border-radius: 38px;
}
.btn-bordered {
    border: 1px solid #ccc !important;
}
.bar-title .btn-primary-solid:first-child i,
.bar-title .btn-danger-solid:first-child i {
    margin-right: 3px;
}

.btn-default-solid.danger {
    background: #f2e2f2;
}
.btn-default-solid.danger.btn-bordered {
    border: 1px solid #dcc8cb  !important;
}
.btn-default-solid.primary {
    background: /*#e5eafe*/ #dae5ff; /*#f3e9ff;*/
}
.btn-default-solid.success {
    background: /*#e2f2e2*/ #d2f0e0;
}
.btn-default-solid.warning {
    background: #fef7b8;
}

.btn-primary-solid {
    background: #04c;
    color: #fff;
}
/*.btn-primary-light-solid {
    background: #46b;
    color: #fff;
}*/
.btn-primary-solid.active,
.btn-primary-solid:active,
.btn-primary-solid:focus,
.btn-primary-solid:hover {
    background: #15d;
    color: #fff;
}

.btn-danger-solid {
    background-color: #cc3340;
    color: #fff;
}
.btn-danger-solid.active,
.btn-danger-solid:active,
.btn-danger-solid:focus,
.btn-danger-solid:hover {
    background: #ba303a;
    color: #fff;
}

.btn-default-solid {
    background: #eaeaea;
    color: #222;
}

.btn-default-solid:not([disabled]):focus,
.btn-default-solid:not([disabled]):hover {
    background: #c5c5c5;
    color: #000 !important;
}

.btn-white-solid {
    background: #fff;
    color: #111; /*333*/
    border: 0;
}
.btn-white-solid:not([disabled]):focus,
.btn-white-solid:not([disabled]):hover {
    background: #cdcdcd;
    color: #000 !important;
}


/*html, img, .img-circle, svg {
    filter: invert(1)  hue-rotate(180deg)
}*/

/*.btn-sm {
    font-size: 14px;
}
.btn:not(.btn-sm)
    :not(.btn-xs)
    :not(.btn-md)
    :not(.btn-lg) {
    font-size: 15px;
}*/
.btn:not(.btn-sm):not(.btn-md):not(.btn-lg):not(.btn-xs) .fa {
    font-size: 15px;
    margin-right: 1px;
}
.btn-lg {
    padding: 14px 16px;
    /*border-radius: 8px;*/
    font-size: 17px;
}
.btn-md {
    padding: 8px 14px;
    font-size: 15px;
}
/*.btn .img-circle {
    margin: -7px -13px;
    margin-right: 7px;
}
.btn.btn-sm .img-circle {
    margin: -5px -10px;
}
.btn .btn-toggle {
    display: none;
    margin-right: -3px;
    margin-left: 3px;
}
.btn:hover .btn-toggle:not([disabled]) {
    display: inline-block;
}*/

.btn-success-solid {
    background: #2b7;
    color: #fff;
}

.btn-success-solid:hover,
.btn-success-solid:active,
.btn-success-solid:focus {
    background: #10a052;
    color: #fff !important;
}
.input-group-btn .btn {
    padding: 9px;
    height: 42px;
}

/*
select.form-control:not([disabled]) {
    cursor: pointer;
}*/
select.btn, input.btn {
    border: 0 !important;
    text-align: left;
}
input.btn {
    cursor: auto;
    padding-left: 15px;
    padding-right: 15px;
}


input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active  {
    -webkit-text-fill-color: #282d56;
    -webkit-box-shadow: 0 0 0px 1000px #000 inset;
}

input.input-lg:-webkit-autofill:first-line {
    font-size: 18px;
    font-weight: bold;
}

input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus, 
input:-webkit-autofill:active,
.form-control {
    letter-spacing: .05em;
    border: 1px solid #b5b5b5;
    box-shadow: none;
    padding: 6px 8px;
    border-radius: 6px;
    outline: none !important;
    font-family: 'Font Awesome 6 Pro', 'FontAwesome', Arial;
}

/*.form-control::placeholder {
    text-transform: none;
}*/


input:-webkit-autofill {
    -webkit-background-clip: text;
    background-clip: text;
}




.options-group label:not(.btn) {
    cursor: pointer;
    margin: 2px 6px 6px 0;
}

.row {
    margin: 0;
}
.form-horizontal .form-group {
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 22px;
}
/*.row .control-label,
.form-group .control-label {
    font-size: 17px;
    font-weight: normal;
}*/



.nav-tabs {
    margin-bottom: 15px;
    font-size: 16px;
    padding: 0;
    /*white-space: nowrap;*/
}
.nav-tabs > li.active > a {
    color: #000 !important;
}
.nav-tabs > li:first-child {
    margin-left: 10px;
}
.nav-tabs > li {
    float: none;
    display: inline-block;
    margin-left: -3px;
}
.nav-tabs > li > a {
    color: #666;
    transition: all 0.1s ease-out 0.01s;
    padding: 12px 18px;
    border-radius: 5px 5px 0 0;
    line-height: 1.5;
    margin-right: 0;
}
.nav-tabs > li a:hover {
    color: #000 !important;
}

.dropdown-menu i {
    margin-right: 8px !important;
}

/*.input-group-addon label {
    margin-bottom: 0;
    vertical-align: middle;
    margin-right: 0 !important;
}*/

.animation-pulse {
    animation: pulse 1s infinite ease-in-out alternate;
    -moz-osx-font-smoothing: antialiased;
}

.animation-6x {
    animation-play-state: running;
    animation-iteration-count: 6;
}
.animation-pulse:hover {
    animation: none;
}

@keyframes pulse {
    0% {
        -webkit-font-smoothing: subpixel-antialiased;
        -moz-osx-font-smoothing: antialiased;
        transform: scale(1.0);
    }
    50% {
        -moz-osx-font-smoothing: antialiased;
        transform: scale(1.03);
    }
}

/*.animation-circle {
    animation: circle 2.5s ease-out infinite;
}
@keyframes circle {
    0% { 
        opacity: 0.75;
        transform: scale(.2);
    }
    to {
        opacity: 0;
        transform: scale(1.5);
    }
}*/

#dialog .modal-footer {
    cursor: pointer; 
    text-align: center; 
    color: #fff; 
    font-size: 22px; 
    padding: 18px;
    -webkit-transition: background 200ms ease-out 0.06s;
    -moz-transition: background 200ms ease-out 0.06s;
    -o-transition: background 200ms ease-out 0.06s;
    transition: background 200ms ease-out 0.06s;
}
#dialog {
    padding-top: 25px;
}
#dialog .modal-dialog {
    box-shadow: rgba(0, 0, 0, 0.58) 0px 10px 40px -10px;
}
#dialog .modal-body {
    padding: 30px 50px;
    font-size: 20px;
}
#dialog.confirm .btnConfirm {
    background: #765;
}
#dialog.confirm .btnConfirm:hover {
    background: #3a6; 
}
#dialog.confirm .btnRefuse {
    background: #876;
}
#dialog.confirm .btnRefuse:hover {
    background: #e43; 
}
#dialog .btnConfirm,
#dialog .btnRefuse,
#dialog .btnOk {
    border: 0;
    letter-spacing: 0.03em;
}
#dialog.success .btnOk {
    background: #22a055;
}
#dialog.success .btnOk:hover {
    background: #3a6; 
}
#dialog.error .btnOk {
    background: #e32; 
}
#dialog.error .btnOk:hover {
    background: #e43; 
}

#loading {
    background: rgba(5, 10, 30, 0.07);
    top: 0;
    left: 0;
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 9999999;
}
#loading > .block {
    margin: 25px auto;
    margin-bottom: 10px;
    background: #fff;
    padding: 8px;
    width: 63px;
    height: 63px;
    border-radius: 50%;
}
#loading > .block-secondary {
    margin: 0 auto;
    color: #fff;
    width: 98px;
    border-radius: 8px; 
    padding: 8px 10px; 
    font-size: 12px;
    background: #000;
}
#loading sub {
    color: rgba(255, 255, 255, 0.8);
}
#loading svg {
    margin-right: 10px;
    float: left;
    -webkit-font-smoothing: antialiased;
}

@keyframes modalFade {
    from {
        transform: translate(0, -50px);
    }
    to {
        transform: translate(0, 0);
    }
}
.modal.modal-fade .modal-dialog {
    transform: translate(0, -50px);
}
.modal.modal-fade.in .modal-dialog {
    animation: modalFade 0.29s forwards;
}

@keyframes highlight {
    5% {
        background-color: #d1e7dd /*#e2edfd*/;
    }
    25% {
        background-color: #d1e7dd /*#e2edfd*/;
    }
}
.animation-highlight,
.animation-highlight > td {
    animation: highlight 5s 1;
}

.modal-menu .modal-dialog {
    margin: 0;
}
.modal-menu .modal-content {
    margin-left: 77px;
    box-shadow: 10px 10px 50px -10px rgba(0, 10, 30, 0.5);
}
.modal-menu .modal-body {
    padding: 25px;
    padding-top: 5px;
    max-height: 100vh;
    overflow-y: auto;
}
.modal-menu h3 {
    padding: 5px 8px;
}

.modal-menu .btn-block .glyphicon {
    font-size: 17px;
    margin: 0 7px !important;
}
.modal-menu .btn-block .fa,
.modal-menu .btn-block .fal,
.modal-menu .btn-block .fad,
.modal-menu .btn-block .far {
    font-size: 19px;
    margin: 0 7px !important;
}
.modal-menu .btn-white-solid {
    font-size: 16px !important;
    transition: all 0.09s ease;
    margin: 0;
    padding: 8px 3px;
    text-align: left;
    white-space: normal;
    color: #000;
}
.modal-menu .btn-block.btn-white-solid:hover,
.modal-menu .btn-block.btn-white-solid.active {
    transform: scale(1.02) !important;
    background: #d4effd !important;
}
.modal-menu hr {
    margin: 3px 0;
    border-top: 1px solid #e5e5e5;
}



.grid:not(.table-sticky) {
    margin-bottom: 10px !important;
}
.grid > tbody > tr {
    cursor: pointer;
    -webkit-transition: all 1s linear;
    -moz-transition: all 1s linear;
    -o-transition: all 1s linear;
    transition: all 1s linear;
}
.grid > tbody > tr.active > td {
    --bs-table-striped-bg: #c2d5f2;
    --bs-table-striped: #cfe2ff; 
    --bs-table-bg: #cfe2ff;
    --bs-table-hover-bg: #b5c8e5;
    /*background: #cfe2ff !important;*/
    
}
.grid > thead > tr > th.check-all {
    width: 35px; 
    min-width: 35px;
    text-align: center; 
    padding: 4px 0;
}

#form-filtros {
    margin-bottom: 15px;
}